RESTinio

Public Attributes | List of all members
restinio::http_field_parsers::authorization_value_t::param_t Struct Reference

A storage for a parameter with a name and a value. More...

`#include <authorization.hpp>`

## Public Attributes
std::string | name
| The name of a parameter. More...
param_value_t | value
| The value of a parameter. More...

## Detailed Description

A storage for a parameter with a name and a value.

Definition at line 153 of file authorization.hpp.

## Member Data Documentation

## ◆ name

std::string restinio::http_field_parsers::authorization_value_t::param_t::name

The name of a parameter.

Definition at line 156 of file authorization.hpp.

## ◆ value

param_value_t restinio::http_field_parsers::authorization_value_t::param_t::value

The value of a parameter.

Definition at line 158 of file authorization.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/authorization.hpp